/* AstroPanel.h
 *
 * Copyright (C) 1999-2014 by Cenon GmbH
 * Author:   Georg Fleischmann
 *
 * Created:  1995-08-10
 * Modified: 2010-11-13 (views[10] added - a workaround for GNUstep)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the Cenon Public License as
 * published by Cenon GmbH. Among other things, the
 * License requires that the copyright notices and this notice
 * be preserved on all copies.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the Cenon Public License for more details.
 *
 * You should have received a copy of the Cenon Public License along
 * with this program; see the file LICENSE. If not, write to Cenon.
 *
 * Cenon GmbH, Schwabstr. 45, 72108 Rottenburg a.N., Germany
 * eMail: info@cenon.de
 * http://www.cenon.info
 */

#ifndef CEN_H_ASTROPANEL
#define CEN_H_ASTROPANEL

#include "APBasicLevel.h"

#define AP_CHART        0
#define AP_MAP          1
#define AP_SEARCH       2
#define AP_FLOWCHART    3
#define AP_DEFAULT      99

#define BUTTONLEFT      0
#define BUTTONRIGHT     1
#define BUTTONUP        2
#define BUTTONDOWN      3

#if !defined(GNUSTEP_BASE_VERSION) && !defined(__APPLE__)
    #define USE_TABVIEW 0
#else
    #define USE_TABVIEW 1
#endif

/* notifications */
#define AstroPanelAddTabNotification	@"AstroPanelAddTab"	// we have to add a new tab

@interface AstroPanel:APBasicLevel <NSTabViewDelegate>
{
    id              levelRadio;
#if USE_TABVIEW
    NSTabView       *tabView;
    BOOL            setSubLevel;
#else
    NSScrollView    *levView;
#endif

    int			levelCnt;
    id			windows[10], views[10];
    id			chartWindow;
    id			mapWindow;
    id			searchWindow;
    id			flowWindow;

    id			activeWindow;
    BOOL		tabEvent;
}

- (void)update:sender;
- (void)setLevelAt:(int)level;

#if !USE_TABVIEW
    - (void)clickLevel:sender;
    - (void)setLevelView:theView;
#endif

- (id)activeWindow;
- windowAt:(int)level;

@end

#endif	// CEN_H_ASTROPANEL
